export const urlField = {
  label: 'Url',
  labelPosition: 'top',
  labelWidth: '',
  labelMargin: '',
  placeholder: '',
  description: '',
  tooltip: '',
  prefix: '',
  suffix: '',
  widget: {
    type: 'input'
  },
  displayMask: '',
  customClass: '',
  tabindex: '',
  autocomplete: '',
  hidden: false,
  hideLabel: false,
  mask: false,
  autofocus: false,
  spellcheck: true,
  disabled: false,
  tableView: true,
  modalEdit: false,
  multiple: false,
  persistent: true,
  inputFormat: 'plain',
  protected: false,
  dbIndex: false,
  truncateMultipleSpaces: false,
  encrypted: false,
  redrawOn: '',
  clearOnHide: true,
  customDefaultValue: '',
  calculateValue: '',
  calculateServer: false,
  allowCalculateOverride: false,
  validateOn: 'change',
  validate: {
    required: false,
    minLength: '',
    maxLength: '',
    pattern: '',
    customMessage: '',
    custom: '',
    customPrivate: false,
    json: '',
    strictDateValidation: false,
    multiple: false,
    unique: false
  },
  errorLabel: '',
  errors: '',
  key: 'url',
  tags: [],
  properties: {},
  conditional: {
    show: null,
    when: null,
    eq: '',
    json: ''
  },
  customConditional: '',
  logic: [],
  attributes: {},
  overlay: {
    style: '',
    page: '',
    left: '',
    top: '',
    width: '',
    height: ''
  },
  type: 'url',
  input: true,
  unique: false,
  refreshOn: '',
  dataGridLabel: false,
  showCharCount: false,
  showWordCount: false,
  allowMultipleMasks: false,
  addons: [],
  inputType: 'url',
  inputMask: '',
  id: 'ee1omol',
  defaultValue: null
}